JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.commspace
Class CommHashtableHandle

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.commspace.CommHashtableHandle

public class CommHashtableHandle
extends Importable

A handle for a CommHashtable that may be in another Flow.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`CommHashtableHandle()` Construct a new CommHashtable and attach this handle to it.
`CommHashtableHandle(CommHashtableHandle chh)` Copy constructor.

Method Summary
`protected void` `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`boolean` `containsKey(CommSpaceElement id)`
`CommSpaceElement` `lookup(CommSpaceElement id)`
`CommSpaceElement` `put(CommSpaceElement id, CommSpaceElement val)`
`void` `remove(CommSpaceElement id)`
`protected void` `unbindFrom()` Unbind this Importable from any objects its referencing.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize, revoke, toString`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommHashtableHandle

    public CommHashtableHandle()

  Construct a new CommHashtable and attach this handle to it.

### CommHashtableHandle

    public CommHashtableHandle(CommHashtableHandle chh)

  Copy constructor.
  Parameters:
    `chh` - The handle to copy.

Method Detail

### bindTo

    protected void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### put

    public CommSpaceElement put(CommSpaceElement id,
                                CommSpaceElement val)

  Parameters:
    `id` - Identifier to be paired with a value
    `val` - Value to pair with an identifier
  Returns:
    The element that was previously paired with the identifier.

### lookup

    public CommSpaceElement lookup(CommSpaceElement id)

  Parameters:
    `id` - The identifier to lookup in the hash table.
  Returns:
    Null or the element that is paired with the given identifier

### remove

    public void remove(CommSpaceElement id)

  Parameters:
    `id` - The identifier to remove from the hash table.

### containsKey

    public boolean containsKey(CommSpaceElement id)

  Parameters:
    `id` - The identifier to check for in the hash table.
  Returns:
    True if the identifier was found in the table, false otherwise.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002